CREATE TABLE [dbo].[tblLogins] (
	[LoginID] [int] IDENTITY (1, 1) NOT NULL ,
	[EMail] [nvarchar] (100) NOT NULL ,
	[Password] [nvarchar] (100) NULL ,
	CONSTRAINT [LoginID] PRIMARY KEY ([LoginID])
)


CREATE TABLE [dbo].[tblMsgs] (
	[MsgID] [int] IDENTITY (1, 1) NOT NULL ,
	[Msg] [text] NULL 
	CONSTRAINT [MsgID] PRIMARY KEY ([MsgID])
)


CREATE TABLE [dbo].[tblQuarantine] (
	[QuarID] [int] IDENTITY (1, 1) NOT NULL ,
	[EmailFrom] [varchar] (100) NULL ,
	[EmailTo] [varchar] (100) NULL ,
	[Subject] [varchar] (100) NULL ,
	[MsgDate] [datetime] NULL ,
	[MsgID] [int] NULL ,
	[RejectID] [int] NULL ,
	[RejectDetails] [nvarchar] (200) NULL ,
	[Deliver] [bit] NULL ,
	[Expire] [bit] NULL ,
	[ServerID] [int] NULL 
	CONSTRAINT [QuarID] PRIMARY KEY ([QuarID])
)


CREATE TABLE [dbo].[tblRejectCodes] (
	[RejectID] [int] NOT NULL ,
	[RejectDesc] [varchar] (100) NULL 
	CONSTRAINT [RejectID] PRIMARY KEY ([RejectID])
)


CREATE TABLE [dbo].[tblServers] (
	[ServerID] [int] IDENTITY (1, 1) NOT NULL ,
	[ServerName] [nvarchar] (50) NOT NULL 
	CONSTRAINT [ServerID] PRIMARY KEY ([ServerID])
)



CREATE  INDEX [ServerName] ON [dbo].[tblServers]([ServerName])

CREATE  UNIQUE  INDEX [EMail] ON [dbo].[tblLogins]([EMail])

ALTER TABLE [dbo].[tblQuarantine] WITH NOCHECK ADD 
	CONSTRAINT [DF_tblQuarantine_Deliver] DEFAULT (0) FOR [Deliver],
	CONSTRAINT [DF_tblQuarantine_Delete] DEFAULT (0) FOR [Expire]

CREATE  INDEX [EmailFrom] ON [dbo].[tblQuarantine]([EmailFrom])

CREATE  INDEX [EmailTo] ON [dbo].[tblQuarantine]([EmailTo])

CREATE  INDEX [MsgDate] ON [dbo].[tblQuarantine]([MsgDate])

CREATE  INDEX [RejectID] ON [dbo].[tblQuarantine]([RejectID])

CREATE  INDEX [Subject] ON [dbo].[tblQuarantine]([Subject])

CREATE  INDEX [MsgID] ON [dbo].[tblQuarantine]([MsgID])

CREATE  INDEX [ServerID] ON [dbo].[tblQuarantine]([ServerID])

ALTER TABLE [dbo].[tblQuarantine] ADD 
	CONSTRAINT [FK_tblQuarantine_tblMsgs] FOREIGN KEY 
	(
		[MsgID]
	) REFERENCES [dbo].[tblMsgs] (
		[MsgID]
	) ON DELETE CASCADE

